Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List To get the list of Batch Test Suites available for a bot.
FieldValue
MethodGET
Endpointhttps://{host}/api/public/bot/{botId}/testsuite?skip={skip}&limit={limit}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Batch Tests Management; Admin Console: Batch Tests Management

Path Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.ai.Required
BotIDBot ID or Stream ID. Access it from the General Settings page of the bot.Required
skipNumber of records to skip before fetching.Optional
limitNumber of records to fetch.Optional

Sample Request

curl -X GET \
  https://{host}/api/public/bot/{botId}/testsuite?skip={skip}&limit={limit} \
  --header 'auth: {YOUR_JWT_ACCESS_TOKEN}' \
  --header 'bot-language: {language-code}'

Body Parameters

No body parameters are passed.

Sample Response

{
    "count": 36,
    "moreAvailable": true,
    "ts-2xxxxxxc-exx0-5fxx-bxx2-3xxxxxxxxxxf": {
        "testSuiteType": "custom",
        "name": "sdsa",
        "description": "dfgfd",
        "results": [
            {
                "_id": "ts-2xxxxxxc-exx0-5fxx-bxx2-3xxxxxxxxxxf",
                "version": "inDevelopment",
                "results": {
                    "TP": 0,
                    "TN": 0,
                    "FP": 0,
                    "FN": 0,
                    "success": 0,
                    "failure": 2
                },
                "recall": "0.00",
                "precision": "0.00",
                "f1_score": "0.00"
            }
        ]
    }
}